html,
body {
    height: 100%;
}

body {
    background-color: #ccc;
    font-family: "Roboto", sans-serif;
}

* {
    box-sizing: border-box;
}

button {
    cursor: pointer;
}

.hidden {
    display: none;
}

.wrapper {
    margin: 0 auto;
    background-color: #fff;
    flex-direction: column;
    display: flex;
    justify-content: space-between;
    height: 100vh;
}

.header {
    /*flex: 0 0 auto;*/
    margin-top: 10px;
    /*width: 100%;*/
    display: flex;
    align-items: center;
    /*justify-content: space-between;*/
    border-bottom: 1px solid #4f6466;
}

.header__logo {
    display: flex;
    align-items: center;
    padding-top: 10px;
    padding-bottom: 10px;
}

.header__logo_text {
    font-size: 50px;
    font-weight: 900;
    color: #22c7b8;
}

.logo {
    width: 100px;
    margin: 0 20px;
}

.cards_desk {
    /*margin: 0 auto;*/
    padding: 2em;
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    align-content: flex-start;
    gap: 1em;
    height: 100%;
    flex-wrap: wrap;
    background-color: lightgrey;
    margin: 1em;
    box-shadow: 0 0 20px 1px #000;
}


/* скорее всего тут тег должен относится к полю карточек ИМХО */

.main__text {
    font-size: 30px;
    font-weight: 700;
    text-align: center;
}

.cards {
    position: relative;
    border: 1px solid black;
    flex-basis: 15em;
}

.button {
    margin: 5px;
    padding: 0 20px;
    height: 50px;
    font-size: 20px;
    font-weight: bold;
    color: #fff;
    background-color: #22c7b8;
    border: 1px solid transparent;
    border-radius: 10px;
    outline: none;
    transition: all 0.3s ease;
}

#login_button {
    margin: 0 15px 0 auto;
}

.button:hover {
    background-color: #4f6469;
    border: 1px solid #22c7b8;
}

.footer {
    flex: 0 0 auto;
    background-color: #4f6466;
    height: 100px;
    padding: 12px 40px;
    color: #fff;
    font-size: 15px;
    text-align: center;
    line-height: 25px;
}


/*.modal {*/


/*    width: 400px;*/


/*    height: 200px;*/


/*    display: flex;*/


/*    flex-direction: column;*/


/*    justify-content: center;*/


/*    align-items: center;*/


/*    background-color: #4f6466;*/


/*}*/


/*.modal__form {*/


/*    display: flex;*/


/*    flex-direction: column;*/


/*    justify-content: center;*/


/*    align-items: center;*/


/*}*/


/*.modal input {*/


/*    border: none;*/


/*    margin-bottom: 15px;*/


/*    width: 300px;*/


/*    height: 35px;*/


/*}*/

.modal {
    width: 500px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #4f6466;
    padding: 20px;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    margin-top: 20px;
    margin-left: auto;
    margin-right: auto;
    z-index: 100;
    text-align: center;
}

.modal__form {
    /*display: flex;*/
    /*flex-direction: column;*/
    /*justify-content: center;*/
    /*align-items: center;*/
    /*position: absolute;*/
    /*top: 20px;*/
    /*left:50px;*/
    /*z-index: 2;*/
}

.modal input {
    border: none;
    margin-bottom: 15px;
    margin-top: 10px;
    width: 300px;
    height: 30px;
}

.modal textarea {
    border: none;
    margin-bottom: 15px;
    margin-top: 10px;
    width: 300px;
    height: 30px;
    resize: vertical;
}

.modal select {
    border: none;
    margin-bottom: 15px;
    margin-top: 10px;
    width: 300px;
    height: 30px;
}

.modal label {
    padding: 5px;
}

.modalEl {
    display: flex;
    flex-direction: column;
    text-align: center;
    color: white;
}

.allDoctors {
    display: flex;
    flex-direction: column;
}

.allEl {
    display: flex;
    flex-direction: column;
}

.personally {
    display: flex;
    flex-direction: column;
}

.divFon {
    position: absolute;
    top: 0;
    left: 0;
    background-color: white;
    opacity: 95%;
    z-index: 2;
    width: 100%;
    height: 100%;
}

#newVisit_button {
    margin: 0 10px 0 auto;
    display: none;
}

#logout_button {
    display: none;
    margin-right: 15px;
}

.close {
    position: absolute;
    right: 10px;
    top: 6px;
    width: 12px;
    height: 12px;
    opacity: 0.3;
}

.close:hover {
    opacity: 1;
}

.close:before,
.close:after {
    position: absolute;
    left: 15px;
    content: " ";
    height: 16px;
    width: 2px;
    background-color: #333;
}

.close:before {
    transform: rotate(45deg);
}

.close:after {
    transform: rotate(-45deg);
}